import Godo from '../src-js/godo'
import {expect} from 'vitest'
import { domTest } from './helpers.mjs'

domTest('test create editor', async ({appendToDom}) => {
  const dom = appendToDom('<textarea></textarea>')
  const textArea = dom.querySelector('textarea')
  const godo = new Godo(textArea, {})
  expect(godo).not.toBe(undefined)
  expect(dom.querySelector('.godo')).not.toBe(undefined)
})

